import { shortcut } from '@core/core';
import { Label } from '@fui/core';

const DEFAULT_LINK = '/';
@shortcut()
export class LinkButton extends BI.BasicButton {
    static xtype = 'dec.dcm.components.link.button';

    props: {
        text: string;
        cls: string;
        $testId: string;
        link?: Function | string;
    } = {
        text: '',
        cls: 'cursor-pointer',
        $testId: 'dec-dcm-link-button',
    }

    private text: Label;

    render() {
        return {
            type: BI.CenterAdaptLayout.xtype,
            cls: 'bi-high-light',
            items: [
                {
                    type: BI.Label.xtype,
                    cls: 'bi-high-light-border-bottom',
                    text: this.options.text,
                    ref: (_ref: Label) => {
                        this.text = _ref;
                    },
                },
            ],
        };
    }

    getLink() {
        const link = this.options.link;
        
        return (BI.isFunction(link) ? link() : link) || DEFAULT_LINK;
    }

    setText(v: string) {
        this.text.setText(v);
    }

    doClick() {
        window.open(this.getLink());
    }
}
