export const PAGE_INDEX = {
    CONNECTION: 'connection',
    DATEBASE: 'datebase',
    MAINTAIN: 'maintain',
    POOL: 'pool',
};

export const OTHER_JDBC = 'otherJDBC';

export const DEFAULT_HELP_LINK = 'databaseHelpLink';

export const JDBC_ODBC_DRIVER = 'sun.jdbc.odbc.JdbcOdbcDriver';
export const JDBC_ODBC_DRIVER_HELP_LINK = DecCst && DecCst.Hyperlink ? DecCst.Hyperlink.Database.OTHER_ODBC : '';

export const DATEBASE_FILTER_TYPE = {
    COMMONLY: 'commonly',
    ALL: 'all',
    OTHER: OTHER_JDBC,
};

export const DATA_BASE_TYPES_OTHER =
    {
        text: OTHER_JDBC,
        databaseType: OTHER_JDBC,
        driver: '',
        url: '',
        commonly: false,
        internal: false,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    };
export const DATA_BASE_DRIVER_LINK = DecCst && DecCst.Hyperlink ? [
    {
        databaseType: 'ads',
        link: DecCst.Hyperlink.Database.ADS,
    },
    {
        databaseType: 'amazon-redshift',
        link: DecCst.Hyperlink.Database.REDSHIFT,
    },
    {
        databaseType: 'apache-impala',
        link: DecCst.Hyperlink.Database.IMPALA,
    },
    {
        databaseType: 'apache-kylin',
        link: DecCst.Hyperlink.Database.KYLIN,
    },
    {
        databaseType: 'apache-phoenix',
        link: DecCst.Hyperlink.Database.PHOENIX,
    },
    {
        databaseType: 'derby',
        link: DecCst.Hyperlink.Database.DERBY,
    },
    {
        databaseType: 'clickhouse',
        link: DecCst.Hyperlink.Database.CLICKHOUSE,
    },
    {
        databaseType: 'gbase-8a',
        link: DecCst.Hyperlink.Database.GBASE8A,
    },
    {
        databaseType: 'gbase-8s',
        link: DecCst.Hyperlink.Database.GBASE8S,
    },
    {
        databaseType: 'gbase-8t',
        link: DecCst.Hyperlink.Database.GBASE8T,
    },
    {
        databaseType: 'h2',
        link: DecCst.Hyperlink.Database.H2,
    },
    {
        databaseType: 'hw-dws',
        link: DecCst.Hyperlink.Database.DWS,
    },
    {
        databaseType: 'hw-elk',
        link: DecCst.Hyperlink.Database.ELK,
    },
    {
        databaseType: 'hw-fusioninsight-hd',
        link: DecCst.Hyperlink.Database.FUSIONINSIGHT,
    },
    {
        databaseType: 'hw-libr-a',
        link: DecCst.Hyperlink.Database.LIBRA,
    },
    {
        databaseType: 'hadoop-hive',
        link: DecCst.Hyperlink.Database.HIVE,
    },
    {
        databaseType: 'hbase',
        link: DecCst.Hyperlink.Database.HBASE,
    },
    {
        databaseType: 'hologres',
        link: DecCst.Hyperlink.Database.HOLOGRES,
    },
    {
        databaseType: 'hp-vertica',
        link: DecCst.Hyperlink.Database.VERTICA,
    },
    {
        databaseType: 'hsql',
        link: DecCst.Hyperlink.Database.HSQL,
    },
    {
        databaseType: 'ibm-db2',
        link: DecCst.Hyperlink.Database.DB2,
    },
    {
        databaseType: 'informix',
        link: DecCst.Hyperlink.Database.INFORMIX,
    },
    {
        databaseType: 'kingbase',
        link: DecCst.Hyperlink.Database.KINGBASE,
    },
    {
        databaseType: 'kyligence',
        link: DecCst.Hyperlink.Database.KYLIGENCE,
    },
    {
        databaseType: 'sql-server',
        link: DecCst.Hyperlink.Database.SQLSERVER,
    },
    {
        databaseType: 'mysql',
        link: DecCst.Hyperlink.Database.MYSQL,
    },
    {
        databaseType: 'odps',
        link: DecCst.Hyperlink.Database.ODPS,
    },
    {
        databaseType: 'oracle',
        link: DecCst.Hyperlink.Database.ORACLE,
    },
    {
        databaseType: 'pivotal-greenplum-database',
        link: DecCst.Hyperlink.Database.GP,
    },
    {
        databaseType: 'postgresql',
        link: DecCst.Hyperlink.Database.POSTGRE,
    },
    {
        databaseType: 'presto',
        link: DecCst.Hyperlink.Database.PRESTO,
    },
    {
        databaseType: 'sap-hana',
        link: DecCst.Hyperlink.Database.HANA,
    },
    {
        databaseType: 'sap-sybase',
        link: DecCst.Hyperlink.Database.SYBASE,
    },
    {
        databaseType: 'spark',
        link: DecCst.Hyperlink.Database.SPARK,
    },
    {
        databaseType: 'sqlite',
        link: DecCst.Hyperlink.Database.SQLITE,
    },
    {
        databaseType: 'teradata',
        link: DecCst.Hyperlink.Database.TERADATA,
    },
    {
        databaseType: 'transwarp-inceptor',
        link: DecCst.Hyperlink.Database.INCEPTOR,
    },
    {
        databaseType: OTHER_JDBC,
        link: DecCst.Hyperlink.Database.OTHER,
    },
] : [];
export const DESIGN_DRIVER_TYPE = [
    {
        type: 'mysql',
        driver: 'com.mysql.jdbc.Driver',
    },
    {
        type: 'oracle',
        driver: 'oracle.jdbc.driver.OracleDriver',
    },
    {
        type: 'ibm-db2',
        driver: 'com.ibm.db2.jcc.DB2Driver',
    },
    {
        type: 'derby',
        driver: 'org.apache.derby.jdbc.ClientDriver',
    },
    {
        type: 'postgresql',
        driver: 'org.postgresql.Driver',
    },
    {
        type: 'sqlite',
        driver: 'org.sqlite.JDBC',
    },
    {
        type: 'transwarp-inceptor',
        driver: 'org.apache.hive.jdbc.HiveDriver',
    },
];
export const DATA_BASE_TYPES = [
    {
        text: BI.i18nText('Dec-Dcm_Connection_Analytic_DB'),
        databaseType: 'ads',
        driver: 'com.mysql.jdbc.Driver',
        url: 'jdbc:mysql://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: false,
        kerberos: false,
    },
    {
        text: 'Amazon Redshift',
        databaseType: 'amazon-redshift',
        driver: 'com.amazon.redshift.jdbc41.Driver',
        drivers: ['com.amazon.redshift.jdbc4.Driver', 'com.amazon.redshift.jdbc41.Driver'],
        url: 'jdbc:redshift://endpoint:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
        urls: {
            'com.amazon.redshift.jdbc4.Driver': 'jdbc:redshift://endpoint:port/database',
            'com.amazon.redshift.jdbc41.Driver': 'jdbc:postgresql://endpoint:port/database',
        },
    },
    {
        text: 'APACHE IMPALA',
        databaseType: 'apache-impala',
        driver: 'com.cloudera.impala.jdbc41.Driver',
        url: 'jdbc:impala://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: false,
        kerberos: true,
    },
    {
        text: 'APACHE KYLIN',
        databaseType: 'apache-kylin',
        driver: 'org.apache.kylin.jdbc.Driver',
        url: 'jdbc:kylin://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    },
    {
        text: 'APACHE Phoenix',
        databaseType: 'apache-phoenix',
        driver: 'org.apache.phoenix.jdbc.PhoenixDriver',
        url: 'jdbc:phoenix:hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: true,
    },
    {
        text: 'ClickHouse',
        databaseType: 'clickhouse',
        driver: 'ru.yandex.clickhouse.ClickHouseDriver',
        url: 'jdbc:clickhouse://hostname:port',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    },
    {
        text: 'DERBY',
        databaseType: 'derby',
        driver: 'org.apache.derby.jdbc.ClientDriver',
        url: 'jdbc:derby://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    },
    {
        text: 'Gbase 8A',
        databaseType: 'gbase-8a',
        driver: 'com.gbase.jdbc.Driver',
        url: 'jdbc:gbase://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: false,
        kerberos: false,
    },
    {
        text: 'Gbase 8S',
        databaseType: 'gbase-8s',
        driver: 'com.gbasedbt.jdbc.IfxDriver',
        url: 'jdbc:gbasedbt-sqli://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    },
    {
        text: 'Gbase 8T',
        databaseType: 'gbase-8t',
        driver: 'com.informix.jdbc.IfxDriver',
        url: 'jdbc:informix-sqli://hostname:port/database:INFORMIXSERVER={server}',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    },
    {
        text: 'H2',
        databaseType: 'h2',
        driver: 'org.h2.Driver',
        url: 'jdbc:h2://${ENV_HOME}/../database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    },
    {
        text: BI.i18nText('Dec-Dcm_Connection_HW_DWS'),
        databaseType: 'hw-dws',
        driver: 'org.postgresql.Driver',
        url: 'jdbc:postgresql://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: true,
    },
    {
        text: 'FusionInsight elk',
        databaseType: 'hw-elk',
        driver: 'org.postgresql.Driver',
        url: 'jdbc:postgresql://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: true,
    },
    {
        text: 'FusionInsight HD',
        databaseType: 'hw-fusioninsight-hd',
        driver: 'org.apache.hive.jdbc.HiveDriver',
        url: 'jdbc:hive2://hostname1:port,hostname2:port,hostname3:port/;serviceDiscoveryMode=zooKeeper;zooKeeperNamespace=hiveserver2;sasl.qop=auth-conf;auth=KERBEROS;zk.principal=zookeeper/hadoop;principal=hive/hadoop.hadoop.com@HADOOP.COM;',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: false,
        kerberos: true,
    },
    {
        text: 'GaussDB 200',
        databaseType: 'hw-libr-a',
        driver: 'org.postgresql.Driver',
        url: 'jdbc:postgresql://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: true,
    }, {
        text: 'Hadoop Hive',
        databaseType: 'hadoop-hive',
        driver: 'org.apache.hive.jdbc.HiveDriver',
        url: 'jdbc:hive2://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: false,
        kerberos: true,
    }, {
        text: 'Hbase',
        databaseType: 'hbase',
        driver: 'org.apache.phoenix.jdbc.PhoenixDriver',
        url: 'jdbc:phoenix:hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: true,
    }, {
        text: 'Hologres',
        databaseType: 'hologres',
        driver: 'org.postgresql.Driver',
        url: 'jdbc:postgresql://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    }, {
        text: 'HP Vertica',
        databaseType: 'hp-vertica',
        driver: 'com.vertica.jdbc.Driver',
        url: 'jdbc:vertica://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    }, {
        text: 'Hsql',
        databaseType: 'hsql',
        driver: 'com.fr.third.org.hsqldb.jdbcDriver',
        url: 'jdbc:hsqldb:file:[PATH_TO_DB_FILES]',
        commonly: true,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    }, {
        text: 'IBM DB2',
        databaseType: 'ibm-db2',
        driver: 'com.ibm.db2.jcc.DB2Driver',
        url: 'jdbc:db2://hostname:port/database',
        commonly: true,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
        fetchSize: 50,
    }, {
        text: 'INFORMIX',
        databaseType: 'informix',
        driver: 'com.informix.jdbc.IfxDriver',
        url: 'jdbc:informix-sqli://hostname:port/database:INFORMIXSERVER={server}',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    }, {
        text: 'KINGBASE',
        databaseType: 'kingbase',
        driver: 'com.kingbase.Driver',
        url: 'jdbc:kingbase://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    }, {
        text: 'Kyligence',
        databaseType: 'kyligence',
        driver: 'org.apache.kylin.jdbc.Driver',
        url: 'jdbc:kylin://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    }, {
        text: 'Microsoft SQL Server',
        databaseType: 'sql-server',
        driver: 'com.microsoft.sqlserver.jdbc.SQLServerDriver',
        url: 'jdbc:sqlserver://hostname:port;databaseName=database',
        commonly: true,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    }, {
        text: 'MySQL',
        databaseType: 'mysql',
        driver: 'com.mysql.jdbc.Driver',
        drivers: ['com.mysql.jdbc.Driver', 'org.gjt.mm.mysql.Driver'],
        url: 'jdbc:mysql://hostname:port/database',
        commonly: true,
        internal: true,
        type: 'jdbc',
        hasSchema: false,
        kerberos: false,
        urls: {
            'com.mysql.jdbc.Driver': 'jdbc:mysql://hostname:port/database',
            'org.gjt.mm.mysql.Driver': 'jdbc:mysql://hostname:port/database',
        },
    },
    {
        text: 'MaxCompute',
        databaseType: 'odps',
        driver: 'com.aliyun.odps.jdbc.OdpsDriver',
        url: 'jdbc:odps:<maxcompute_endpoint>?project=<maxcompute_project_name>',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    },
    {
        text: 'Oracle',
        databaseType: 'oracle',
        driver: 'oracle.jdbc.driver.OracleDriver',
        url: 'jdbc:oracle:thin:@hostname:port:database',
        commonly: true,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
        fetchSize: 128,
    },
    {
        text: 'Pivotal Greenplum Database',
        databaseType: 'pivotal-greenplum-database',
        driver: 'org.postgresql.Driver',
        drivers: ['org.postgresql.Driver', 'com.pivotal.jdbc.GreenplumDriver'],
        url: 'jdbc:postgresql://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
        urls: {
            'org.postgresql.Driver': 'jdbc:postgresql://hostname:port/dbname',
            'com.pivotal.jdbc.GreenplumDriver': 'jdbc:pivotal:greenplum://hostname:port;DatabaseName=dbname',
        },
    }, {
        text: 'Postgresql',
        databaseType: 'postgresql',
        driver: 'org.postgresql.Driver',
        url: 'jdbc:postgresql://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
        fetchSize: 10000,
    }, {
        text: 'Tidb',
        databaseType: 'tidb',
        driver: 'com.mysql.jdbc.Driver',
        drivers: ['com.mysql.jdbc.Driver'],
        url: 'jdbc:mysql://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: false,
        kerberos: false,
    }, {
        text: 'Doris',
        databaseType: 'doris',
        driver: 'com.mysql.jdbc.Driver',
        drivers: ['com.mysql.jdbc.Driver'],
        url: 'jdbc:mysql://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: false,
        kerberos: false,
    }, {
        text: 'Presto',
        databaseType: 'presto',
        driver: 'com.facebook.presto.jdbc.PrestoDriver',
        url: 'jdbc:presto://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    }, {
        text: 'SAP HANA',
        databaseType: 'sap-hana',
        driver: 'com.sap.db.jdbc.Driver',
        url: 'jdbc:sap://hostname:port?reconnect=true',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    }, {
        text: 'SAP Sybase',
        databaseType: 'sap-sybase',
        driver: 'com.sybase.jdbc4.jdbc.SybDriver',
        url: 'jdbc:sybase:Tds:hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    }, {
        text: 'SPARK',
        databaseType: 'spark',
        driver: 'org.apache.hive.jdbc.HiveDriver',
        url: 'jdbc:hive2://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: false,
        kerberos: true,
    }, {
        text: 'Sqlite',
        databaseType: 'sqlite',
        driver: 'org.sqlite.JDBC',
        url: 'jdbc:sqlite:[PATH_TO_DB_FILES]',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: false,
        kerberos: false,
    }, {
        text: 'TeraData',
        databaseType: 'teradata',
        driver: 'com.ncr.teradata.TeraDriver',
        url: 'jdbc:teradata://hostname:port/CLIENT_CHARSET=EUC_CN,TMODE=TERA,CHARSET=ASCII,LOB_SUPPORT',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    }, {
        text: 'TRANSWARP INCEPTOR',
        databaseType: 'transwarp-inceptor',
        driver: 'org.apache.hive.jdbc.HiveDriver',
        url: 'jdbc:hive2://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: false,
        kerberos: true,
    }, {
        text: BI.i18nText('Dec-Dcm_Connection_JNDI'),
        databaseType: 'jndi',
        driver: '',
        url: '',
        commonly: false,
        internal: true,
        type: 'jndi',
        hasSchema: false,
        kerberos: false,
    },
    {
        text: BI.i18nText('Dec-Dcm_Connection_JDBC_Other'),
        databaseType: OTHER_JDBC,
        driver: 'org.h2.Driver',
        drivers: ['org.h2.Driver', 'com.fr.third.org.hsqldb.jdbcDriver', 'org.sqlite.JDBC'],
        url: 'jdbc:h2://${ENV_HOME}/../database',
        commonly: false,
        internal: true,
        type: OTHER_JDBC,
        hasSchema: true,
        kerberos: false,
        urls: {
            'org.h2.Driver': 'jdbc:h2://${ENV_HOME}/../database',
            'com.fr.third.org.hsqldb.jdbcDriver': 'jdbc:hsqldb:file:[PATH_TO_DB_FILES]',
            'org.sqlite.JDBC': 'jdbc:sqlite:[PATH_TO_DB_FILES]',
        },
    },
    {
        text: 'trino',
        databaseType: 'trino',
        driver: 'io.trino.jdbc.TrinoDriver',
        url: 'jdbc:trino://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
    }, 
    {
        text: BI.i18nText('Dec-Dcm_Connection_TDSQL'),
        databaseType: 'tdsql',
        driver: 'org.postgresql.Driver',
        url: 'jdbc:postgresql://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: true,
        kerberos: false,
        fetchSize: 10000,
    },
    {
        text: BI.i18nText('StarRocks'),
        databaseType: 'starrocks',
        driver: 'com.mysql.jdbc.Driver',
        drivers: ['com.mysql.jdbc.Driver'],
        url: 'jdbc:mysql://hostname:port/database',
        commonly: false,
        internal: true,
        type: 'jdbc',
        hasSchema: false,
        kerberos: false,
    }
];


export const CONNECT_CHARSET = [
    {
        text: BI.i18nText('Dec-Dcm_Connection_Form_Default'),
        value: '',
    },
    {
        text: 'GBK',
        value: 'GBK',
    },
    {
        text: 'BIG5',
        value: 'BIG5',
    },
    {
        text: 'ISO-8859-1',
        value: 'ISO-8859-1',
    },
    {
        text: 'UTF-8',
        value: 'UTF-8',
    },
    {
        text: 'UTF-16',
        value: 'UTF-16',
    },
    {
        text: 'EUC_JP',
        value: 'EUC_JP',
    },
    {
        text: 'EUC_KR',
        value: 'EUC_KR',
    },
    {
        text: 'CP850',
        value: 'CP850',
    },
];

export const TEST_STATUS = {
    LOADING: 'loading',
    SUCCESS: 'success',
    FAIL: 'fail',
};

export const DEFAULT_JNDI_DATA = {
    jndiName: '',
    originalCharsetName: '',
    newCharsetName: '',
    contextHashtable: {
        'java.naming.factory.initial': '',
        'java.naming.provider.url': '',
        'java.naming.factory.object': '',
        'java.naming.factory.state': '',
        'java.naming.factory.url.pkgs': '',
        'java.naming.dns.url': '',
        'java.naming.authoritative': '',
        'java.naming.batchsize': '',
        'java.naming.referral': '',
        'java.naming.security.protocol': '',
        'java.naming.security.authentication': '',
        'java.naming.security.principal': '',
        'java.naming.security.credentials': '',
        'java.naming.language': '',
        'java.naming.applet': '',
    },
};

export const DEFAULT_JDBC_POOL = {
    initialSize: 0,
    maxActive: 50,
    maxIdle: 10,
    minIdle: 0,
    maxWait: 10000,
    testOnBorrow: true,
    testOnReturn: false,
    testWhileIdle: false,
    timeBetweenEvictionRunsMillis: -1,
    numTestsPerEvictionRun: 3,
    minEvictableIdleTimeMillis: 1800,
};

export const CONNECTION_LAYOUT = {
    hgap: 5,
    vgap: 15,
    labelHeight: 24,
};


export const JNDI_FACTORYS = [
    {
        factory: '',
        url: '',
    }, {
        factory: 'weblogic.jndi.WLInitialContextFactory',
        url: 't3://localhost:7001',
    }, {
        factory: 'com.ibm.websphere.naming.WsnInitialContextFactory',
        url: 'iiop://localhost:2809',
    }, {
        factory: 'org.jboss.naming.HttpNamingContextFactory',
        url: 'http://jboss_server_address:8080/invoker/JNDIFactory',
    }, {
        factory: 'org.jnp.interfaces.NamingContextFactory',
        url: 'localhost:1099',
    }, {
        factory: 'com.caucho.burlap.BurlapContextFactory',
        url: 'http://localhost:8080/hello/burlap',
    },
];

export const PAGE_SIZE = 50;
export const INT_MAX_VALUE = 2147483647;
export const INT_MIN_VALUE = -2147483648;
