import { ResultType } from './crud.typings.d';
import { ReqPath } from '../constants/env';

function getFullUrl(url: string) {
    return url ? `${ReqPath}/${url}` : ReqPath;
}

export function requestGet(url: string, data?: any): Promise<ResultType> {
    return new Promise(resolve => {
        Dec.reqGet(getFullUrl(url), '', re => {
            resolve(re);
        });
    });
}

export function requestPost(url: string, data = {}): Promise<ResultType> {
    return new Promise(resolve => {
        Dec.reqPost(getFullUrl(url), data, re => {
            resolve(re);
        });
    });
}

export function requestDelete(url: string, data = {}) {
    return new Promise(resolve => {
        Dec.reqDelete(getFullUrl(url), data, re => {
            resolve(re);
        });
    });
}

export function requestPut(url: string, data = {}) {
    return new Promise(resolve => {
        Dec.reqPut(getFullUrl(url), data, re => {
            resolve(re);
        });
    });
}
