import { Api } from './api';
import { Connection, TestRequest, ConnectionPoolType, SocketResult, ConnectionLicInfo } from './crud.typings';
import { requestGet } from './crud.service';
// TODO: 此页面的接口等待设计器提供相应的方法

export class DesignApi implements Api {
    isDec = false;

    getConnectionList(): Promise<{ data: Connection[] }> {
        return new Promise(resolve => {
            resolve({ data: [] });
        });
    }

    getConnectionLicInfo(): Promise<{ data?: ConnectionLicInfo }> {
        return requestGet('lic/info', {});
    }

    deleteConnection(connectionName: string): Promise<{ data: string }> {
        return new Promise(resolve => {
            resolve({ data: 'success' });
        });
    }

    addConnection(data: Connection): Promise<{ data: string }> {
        return new Promise(resolve => {
            resolve({ data: 'success' });
        });
    }

    updateConnection(data: Connection): Promise<{ data: string }> {
        return new Promise(resolve => {
            resolve({ data: 'success' });
        });
    }
    testConnection(data: Connection): Promise<TestRequest> {
        return new Promise(resolve => {
            resolve({ data: [] });
        });
    }

    getConnectionPool(name: string): Promise<{ data: ConnectionPoolType }> {
        return new Promise(resolve => {
            resolve({
                data: {
                    maxActive: 1,
                    maxIdle: 1,
                    numActive: 1,
                    numIdle: 1,
                }
            });
        });
    }

    getConnectionStatus(name: string): Promise<SocketResult> {
        return new Promise(resolve => {
            resolve({ data: 'success' });
        });
    }

    shutdownConnectionStatus(name: string): Promise<SocketResult> {
        return new Promise(resolve => {
            resolve({ data: 'success' });
        });
    }

    getSocketStatus() {
        // 设计器无socket校验
        return true;
    }

    isDriverError(errorCode: string) {
        // 设计器暂不校验
        return false;
    }

    getCipher(password: string) {
        // 设计器加密方法
        return password;
    }

    getPlain(cipher: string) {
        // 设计器解密方法
        return cipher;
    }

    getHyperlink(name: string) {
        // 设计器获取超链
        return '';
    }
}
