import { shortcut } from '@core/core';

@shortcut()
export class FormItem extends BI.Widget {
    static xtype = 'dec.dcm.connection_form_item';
    props = {
        name: '',
        value: '',
        unit: '',
        isBold: true,
        nameWidth: 140,
        $testId: 'dec-dcm-connection-form-item',
    }

    render () {
        const { nameWidth, unit, value } = this.options;
        
        return {
            type: BI.HTapeLayout.xtype,
            height: 17,
            items: [
                {
                    el: {
                        type: BI.Label.xtype,
                        cls: this.options.isBold ? 'bi-font-bold' : '',
                        textAlign: 'left',
                        text: this.options.name,
                    },
                    width: nameWidth,
                },
                {
                    type: BI.VerticalLayout.xtype,
                    items: [
                        {
                            type: BI.Label.xtype,
                            text: unit ? `${value} ${unit}` : value,
                            textAlign: 'left',
                            title: value,
                        },
                    ],
                },
            ],
        };
    }
}
