import { model, Model } from '@core/core';
import { AppModel } from '../../app.model';
import { connectionType } from '@constants/env';

@model()
export class ConnectionPoolModel extends Model<{
    types : {
        connections: AppModel['TYPE']['connections'];
    },
    context: ConnectionPoolModel['context'];
}> {
    static xtype = 'dec.dcm.model.connection_pool';

    childContext = <const>['selected'];
    context = <const>['connections'];

    state() {
        return {
            selected: '',
        };
    }

    computed = {
        connectionJDBC: () => this.model.connections.filter(item => item.connectionType === connectionType.JDBC),
    }

    actions = {
        setSelected: (selected: string) => {
            this.model.selected = selected;
        },
    }
}
