import { shortcut, store } from '@core/core';
import { ListItemModel } from './list_item.model';
@shortcut()
@store(ListItemModel)
export class ListItem extends BI.BasicButton {
    static xtype = 'dec.dcm.connection_pool.list_item';

    props = {
        name: '',
        height: 25,
        baseCls: 'dec-dcm-connection-pool-list-item bi-list-item-active2',
        $testId: 'dec-dcm-connection-pool-list-item',
    }

    store: ListItemModel['store'];

    render() {
        return {
            type: BI.VerticalAdaptLayout.xtype,
            lgap: 5,
            items: [
                {
                    type: BI.Label.xtype,
                    text: this.options.name,
                    title: this.options.name,
                    width: 250,
                    textAlign: 'left',
                },
            ],
        };
    }

    doClick() {
        this.store.setSelected(this.options.name);
    }
}
