import { model, Model } from '@core/core';
import { ConnectionPoolModel } from '../connection_pool.model';
import { ConnectionPoolType } from '../../../crud/crud.typings';
import { ApiFactory } from '../../../crud/apiFactory';
const api = new ApiFactory().create();
@model()
export class PoolModel extends Model<{
    types : {
        selected: ConnectionPoolModel['TYPE']['selected'];
    },
    context: PoolModel['context'];
}> {
    static xtype = 'dec.dcm.model.connection_pool.poo';

    context = <const>['selected'];

    state () {
        return {
            pool: {} as ConnectionPoolType,
        };
    }

    watch = {
        selected: (selected: string) => {
            api.getConnectionPool(selected).then(re => {
                this.model.pool = re.data;
            });
        },
    }
}
