import { model, Model } from '@core/core';
import { AppModel } from 'src/modules/app.model';
import { getAllDatabaseTypes } from '../../app.service';
import { DatabaseType } from '../../app.typings';

@model()
export class DatebaseModel extends Model<{
    types : {
        filter: AppModel['TYPE']['filter'];
        datebaseTypeSelected: AppModel['TYPE']['datebaseTypeSelected'];
    },
    context: DatebaseModel['context'];
}> {
    static xtype = 'dec.dcm.model.datebase';

    context = <const>['filter', 'datebaseTypeSelected'];
    state() {
        return {
            search: '',
            isInternal: true,
            isPlugin: true,
            datebaseTypes: getAllDatabaseTypes().filter(item => item.commonly),
        };
    }
    actions = {
        setSearch:(search: string) => {
            this.model.search = search;
        },
        setFilter:(filter: string) => {
            this.model.filter = filter;
        },
        setDatebaseTypes: (datebaseTypes: DatabaseType[]) => {
            this.model.datebaseTypes = datebaseTypes;
            this.model.datebaseTypeSelected = '';
        },
        setInternal:(isInternal: boolean) => {
            this.model.isInternal = isInternal;
        },
        setPlugin: (isPlugin: boolean) => {
            this.model.isPlugin = isPlugin;
        },
        setDatebaseTypeSelected(datebaseType: string) {
            this.model.datebaseTypeSelected = datebaseType;
        },
    }
}
