import { model, Model } from '@core/core';
import { AppModel } from 'src/modules/app.model';
@model()
export class DatebaseTypeModel extends Model<
{
    types: {
        datebaseTypeSelected: AppModel['TYPE']['datebaseTypeSelected'];
        pageIndex: AppModel['TYPE']['pageIndex'];
    },
    context: DatebaseTypeModel['context'];
}> {
    static xtype = 'dec.dcm.model.datebase.type';
    context = <const>['datebaseTypeSelected', 'pageIndex'];

    actions = {
        setDatebaseTypeSelected: (datebaseTypeSelected: string) => {
            this.model.datebaseTypeSelected = datebaseTypeSelected;
        },
        setPageIndex: (index: string) => {
            this.model.pageIndex = index;
        },
    }
}
