import { shortcut, store } from '@core/core';
import { FilterModel } from './filter.model';

@shortcut()
@store(FilterModel)
export class Filter extends BI.BasicButton {
    static xtype = 'dec.dcm.datebase.filter';
    store: FilterModel['store']
    props = {
        text: '',
        value: '',
        baseCls: 'bi-list-item-active2',
        $testId: 'dec-dcm-database-filter',
    }

    render() {
        const { text } = this.options;

        return {
            type: BI.Label.xtype,
            textAlign: 'left',
            height: 25,
            lgap: 10,
            text,
        };
    }

    doClick() {
        const { value } = this.options;
        this.store.setFilter(value);
    }
}
