import { shortcut } from '@core/core';
import { CONNECTION_LAYOUT } from '@constants/constant';

@shortcut()
export class FormItem extends BI.Widget {
    static xtype = 'dec.dcm.Maintain_form_item';

    props = {
        name: '',
        forms: '',
        nameWidth: 140,
        isBold: true,
        $testId: 'dec-dcm-maintain-form-item',
    }

    render () {
        return {
            type: BI.FloatLeftLayout.xtype,
            items: [
                {
                    type: BI.Label.xtype,
                    cls: this.options.isBold ? 'bi-font-bold' : '',
                    width: this.options.nameWidth,
                    textAlign: 'left',
                    height: CONNECTION_LAYOUT.labelHeight,
                    text: this.options.name,
                },
                ...this.options.forms,
            ],
        };
    }
}
