import { model, Model } from '@core/core';
import { AppModel } from 'src/modules/app.model';
import { ApiFactory } from 'src/modules/crud/apiFactory';
const api = new ApiFactory().create();

@model()
export class TitleMaintainModel extends Model<{
    types : {
        pageIndex: AppModel['TYPE']['pageIndex'];
        saveEvent: AppModel['TYPE']['saveEvent'];
        connectionSelected: AppModel['TYPE']['connectionSelected'];
        testEvent: AppModel['TYPE']['testEvent'];
        isCopy: AppModel['TYPE']['isCopy'];
    },
    context: TitleMaintainModel['context'];
}> {
    static xtype = 'dec.dcm.model.title_maintain';

    context = <const>['pageIndex', 'saveEvent', 'testEvent', 'connectionSelected', 'isCopy'];

    actions = {
        setPageIndex: (index: string) => {
            this.model.pageIndex = index;
        },
        setSaveEvent: () => {
            this.model.saveEvent = BI.UUID();
        },
        setTestEvent: () => {
            this.model.testEvent = BI.UUID();
        },
        shutdownConnectionStatus: () => api.shutdownConnectionStatus(this.model.connectionSelected),
        setIsCopy(isCopy: boolean) {
            this.model.isCopy = isCopy;
        },
    }
}
